> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addGarnishments

> The `addGarnishments` API is used to set up recurring wage garnishments for an employee

---
Garnishment form fields are type and agency specific.
- To retrieve the form fields for a garnishment or agency use the `getGarnishmentFormFields` API
- To retrieve garnishment agencies for a garnishment type use the `getGarnishmentAgencies` API. Currently only child support agencies are supported
- The amount withheld per pay period is automatically calculated from the total amount and frequency since the garnishment schedule may differ from the paySchedule
---

### Notes:
- Currently only child support payments can be made by Rollfi (in all states except SC)
- For garnishments outside of child support, Rollfi will calculate garnishment deductions from the employee's pay check but will not make the payment.
- Garnishments added to an employee show up in their `getUser` request



## OpenAPI

````yaml post /adminPortal/addGarnishments
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/addGarnishments:
    post:
      tags: []
      summary: addGarnishments
      description: >-
        The `addGarnishments` API is used to set up recurring wage garnishments
        for an employee


        ---

        Garnishment form fields are type and agency specific.

        - To retrieve the form fields for a garnishment or agency use the
        `getGarnishmentFormFields` API

        - To retrieve garnishment agencies for a garnishment type use the
        `getGarnishmentAgencies` API. Currently only child support agencies are
        supported

        - The amount withheld per pay period is automatically calculated from
        the total amount and frequency since the garnishment schedule may differ
        from the paySchedule

        ---


        ### Notes:

        - Currently only child support payments can be made by Rollfi (in all
        states except SC)

        - For garnishments outside of child support, Rollfi will calculate
        garnishment deductions from the employee's pay check but will not make
        the payment.

        - Garnishments added to an employee show up in their `getUser` request
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
                companyId:
                  type: string
                employeeGarnishments:
                  type: array
                  items:
                    type: object
                    properties:
                      garnishmentType:
                        type: string
                      garnishmentAgency:
                        type: string
                      garnishmentFields:
                        type: object
                        properties: {}
                    required:
                      - garnishmentType
                      - garnishmentFields
              required:
                - method
                - userId
                - companyId
                - employeeGarnishments
            example:
              method: addGarnishments
              userId: 1755E872-9092-4ECE-8386-860531D492D3
              companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
              employeeGarnishments:
                - garnishmentType: Child Support
                  garnishmentAgency: Florida Child Support Enforcement
                  garnishmentFields:
                    County: Polk
                    Case Number: '9218729'
                    Start Date: '2026-03-03'
                    End Date: '2026-09-09'
                    Total Withholding Amount: 1000
                    Frequency (Per): Weekly
                    Maximum Withholding Percentage: 0.1
                    Choose who will be paying the agency: I want my payroll provider to make the payments
                - garnishmentType: Student Loan
                  garnishmentFields:
                    End Date: '2026-06-06'
                    Amount needed to be withheld per pay period: 500
                    Total amount to be garnished: 5000
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                garnishmentIds:
                  - 52F6249E-F4ED-40C2-B25F-39BB99BCF98D
                  - 883826B8-1191-4553-A17F-9422162AF33D
                success: true
                message: Processed 2 garnishments.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: >-
                    employeeGarnishments[0].garnishmentFields[Choose who will be
                    paying the agency] value I dont want my payroll provider to
                    make the payments is not valid for Choose who will be paying
                    the agency.
          headers: {}
      deprecated: false
      security: []

````